# Builders

Builders use third-party services to source items to be added to the collection. Multiple builders can be used in the same collection from a variety of sources listed below.

| Name                                  | Description                                                                                   | Requires Config |
|:--------------------------------------|:----------------------------------------------------------------------------------------------|:---------------:|
| [Plex](builders/plex)                 | Grabs items based on the metadata inside your Plex Server.                                    |     &#9989;     |
| [Smart](builders/smart)               | Creates Smart Collections based on the metadata inside your Plex Server. (Collections Only)   |     &#9989;     |
| [TMDb](builders/tmdb)                 | Grabs items based on metadata and lists on [TheMovieDb.org](https://www.themoviedb.org/).     |     &#9989;     |
| [TVDb](builders/tvdb)                 | Grabs items based on metadata and lists on [TheTVDb.com](https://www.thetvdb.com/).           |    &#10060;     |
| [IMDb](builders/imdb)                 | Grabs items based on metadata and lists on [IMDb.com](https://www.imdb.com/).                 |    &#10060;     |
| [Trakt](builders/trakt)               | Grabs items based on metadata and lists on [Trakt.tv](https://trakt.tv/).                     |     &#9989;     |
| [Tautulli](builders/tautulli)         | Grabs items based on metadata and lists in your [Tautulli](https://tautulli.com/).            |     &#9989;     |
| [Radarr](builders/radarr)             | Grabs items based on metadata and lists in your [Radarr](https://radarr.video/) .             |     &#9989;     |
| [Sonarr](builders/sonarr)             | Grabs items based on metadata and lists in your [Sonarr](https://sonarr.tv/).                 |     &#9989;     |
| [MdbList](builders/mdblist)           | Grabs items based on metadata and lists on [MdbList.com](https://mdblist.com/).               |    &#10060;     |
| [Letterboxd](builders/letterboxd)     | Grabs items based on metadata and lists on [Letterboxd.com](https://letterboxd.com/).         |    &#10060;     |
| [ICheckMovies](builders/icheckmovies) | Grabs items based on metadata and lists on [ICheckMovies.com](https://www.icheckmovies.com/). |    &#10060;     |
| [FlixPatrol](builders/flixpatrol)     | Grabs items based on metadata and lists on [FlixPatrol.com](https://flixpatrol.com/).         |    &#10060;     |
| [Reciperr](builders/reciperr)         | Grabs items based on metadata and lists on [reciperr.com](https://reciperr.com/).             |    &#10060;     |
| [StevenLu](builders/stevenlu)         | Grabs items based on metadata and lists on [StevenLu.com](https://movies.stevenlu.com/).      |    &#10060;     |
| [AniDB](builders/anidb)               | Grabs items based on metadata and lists on [AniDB.net](https://anidb.net/).                   |    &#10060;     |
| [AniList](builders/anilist)           | Grabs items based on metadata and lists on [AniList.co](https://anilist.co/).                 |    &#10060;     |
| [MyAnimeList](builders/myanimelist)   | Grabs items based on metadata and lists on [MyAnimeList.net](https://myanimelist.net/).       |     &#9989;     |